.rsis_slider_wrapper {
    height: auto;
    width: 100%;
    aspect-ratio: 1920 / 530;
}
.swiper-container {
    width: 100%;
    max-width: 100%;
    position: relative;
}
#slide-slider {
    height: auto;
    width: 100%;
    aspect-ratio: 1920 / 540;
}
@media only screen and (max-width: 1150px) {
    .rsis_slider_wrapper, #slide-slider {
        height: 350px;
        width: 100%;
        aspect-ratio: unset;
    }
}
@media only screen and (max-width: 810px) {
    .rsis_slider_wrapper, #slide-slider {
        height: auto;
        width: 100%;
        aspect-ratio: 1/1;
    }
    .swiper-container {
        height: 375px;
    }
}
.slide-container.rsis_slider {
    background-size: cover;
    background-position: center;
    height: calc(100% - 26px);
    width: auto;
    padding-block: 13px;
    text-align: center;
}
@media only screen and (max-width: 810px) {
    .slide-container.rsis_slider {
        background-position: left center;
    }
}

/* slider type 0 */
.rsis_slider_content_box_0 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    row-gap: 15px;
    /*background-image:url(https://staging.rsis.edu.sg/wp-content/uploads/2023/05/fade_white_box.png);*/
    background-size: cover;
    height: calc(100% - 27px - 27px);
    margin-inline: 267px -74px;
    padding-block: 13px 41px;
    padding-inline: 245px 160px;
}
@media only screen and (max-width: 1240px) {
    .rsis_slider_content_box_0 {
        row-gap: 8px;
        justify-content: flex-start;
    }
}
.rsis_slider_content_box_0_center {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.rsis_slider_content_box_0_block {
    width: 100%;
    display: flex;
    align-items: center;
    column-gap: 24px;
    cursor: pointer;
}
.rsis_slider_content_box_0_singleblock img {
    /*width: 30vw;*/
    margin-bottom: unset;
}
.rsis_slider_content_box_0_divider {
    opacity: 0.4;
    border-top: 1px solid #151313;
}
.rsis_slider_content_box_0_image {
    width: 90px;
    height: auto;
    margin-bottom: auto;
}
.rsis_slider_content_box_0_content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    /*width: 100%;*/
    flex: 1;
    overflow: hidden;
}
.rsis_slider_content_box_0_title {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 600;
    font-size: 1.38vw;/*font-size: 1.38vw;*/
    line-height: 1.94vw;/*line-height: 28px;*/
    letter-spacing: 0.01em;
    color: #151313;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
.rsis_slider_content_box_0_descr {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 400;
    font-size: 1.11vw;/*font-size: 16px;*/
    line-height: 1.67vw;/*line-height: 24px;*/
    letter-spacing: 0.5px;
    color: #151313;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.rsis_slider_content_box_0_descr > * {
    margin: 0px;
}
.rsis_slider_content_box_0_descr > * > * {
    margin: 0px;
}
.rsis_slider_content_box_0_read {
    width: 100%;
    display: flex;
    align-items: center;
    column-gap: 8px;
    margin-top: 14px;

    font-family: Lato;
    font-style: normal;
    font-weight: 600;
    font-size: 1.11vw;/*font-size: 16px;*/
    line-height: 1.8vw;/*line-height: 26px;*/
    letter-spacing: 0.5px;
    /*color: #BA2025 !important;*/
    color: #ffffff !important;
}
.rsis_slider_content_box_0_content:hover .rsis_slider_content_box_0_read{
    /*color: #951A1E !important;*/
    color: rgba(255,255,255,.6) !important;
}
.rsis_slider_content_box_0_read > span {
    text-shadow: 0px 4px 4px #00000040;
}
.rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_title {
    -webkit-line-clamp: 4;
    font-size: 2.08vw;/*font-size: 30px;*/
    line-height: 2.4vw;
}
.rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_titleline {
    margin-block: 20px;
    height: 1px;
    width: 10%;
    background-color: #151313;
}
.rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_descr {
    -webkit-line-clamp: 6;
}
@media only screen and (max-width: 1150px) {
    .rsis_slider_content_box_0_title {
        font-size: 16px;
        line-height: 22px;
    }
    .rsis_slider_content_box_0_descr {
        font-size: 13px;
        line-height: 19px;
    }
    .rsis_slider_content_box_0_read {
        font-size: 13px;
        line-height: 21px;
        margin-top: 8px;
    }
}
@media only screen and (max-width: 810px) {
    .rsis_slider_content_box_0 {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        background-size: cover;
        margin-block: -13px;
        height: calc(100% + 26px);
        margin-inline: 0;
        padding-block: 20px 0;
        padding-inline: 50px;
        row-gap: 15px;
    }
    .rsis_slider_content_box_0_singleblock {
        flex-direction: column;
        row-gap: 30px;
    }
    .rsis_slider_content_box_0_singleblock img {
        /*width: 100%;*/
        margin-bottom: unset;
    }
    .rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_title {
        font-size: 4.8vw;/*font-size: 20px;*/
        line-height: 6vw;/*line-height: 24px;*/
        margin: unset;
        -webkit-line-clamp: 2;
    }
    .rsis_slider_content_box_0_title {
        text-align: left;
        white-space: unset;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        font-size: 4vw;/*font-size: 20px;*/
        line-height: 5.5vw;/*line-height: 24px;*/
    }
    .rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_titleline {
        margin-block: 10px;
    }
    .rsis_slider_content_box_0_descr {
        -webkit-line-clamp: unset;
        line-height: 20px;
        font-size: 3.5vw;/*font-size: 16px;*/
        line-height: 4.5vw;/*line-height: 24px;*/
        /*display: none;*/
        overflow: unset;
        height: unset;
    }
    .rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_descr {
        font-size: 3.5vw;/*font-size: 16px;*/
        line-height: 4.5vw;/*line-height: 24px;*/
        -webkit-line-clamp: 4;
        overflow: hidden;
        height: fit-content;
    	max-height: 18vw;
    }
    .rsis_slider_content_box_0_read {
        font-size: 3.5vw;/*font-size: 16px;*/
        line-height: 4.5vw;/*line-height: 26px;*/
    }
    .rsis_slider_content_box_0_read svg {
        padding-top: 0.5vw;
    }
}
@media only screen and (max-width: 400px) {
    .rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_title {
        font-size: 4.8vw;
        line-height: 6vw;
    }
    .rsis_slider_content_box_0_title {
        font-size: 4vw;
        line-height: 6vw;
    }
    .rsis_slider_content_box_0_singleblock .rsis_slider_content_box_0_descr {
        -webkit-line-clamp: 3;
        height: fit-content;
    	max-height: 13vw;
    }
    .rsis_slider_content_box_0_descr {
        font-size: 3vw;
        line-height: 4vw;
    }
    .rsis_slider_content_box_0_read {
        margin-top: 2vw !important;
        font-size: 3vw;
        line-height: 4vw;
    }

}
/* slider type 0 */

/* slider type 1 */
.rsis_slider_content_box_1 {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    position: absolute;
    top: unset;
    bottom: 0px;
    right: unset;
    left: 0px;
    opacity: 1;
    margin-inline: 70px;
    margin-bottom: 60px;
}
.rsis_slider_content_box_1_title {
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 600;
    font-size: 2.43vw;/*font-size: 35px;*/
    line-height: 110%;
    color: #FFFFFF;
    margin-bottom: 8px;
}
.rsis_slider_content_box_1_content {
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 300;
    font-size: 1.73vw;/*font-size: 25px;*/
    line-height: 1.73vw;
    letter-spacing: 0.5px;
    color: #FFFFFF;
}
@media only screen and (max-width: 1150px) {
    .rsis_slider_content_box_1_title {
        font-size: 28px;
    }
    .rsis_slider_content_box_1_content {
        font-size: 20px;
        line-height: 20px;
    }
}
@media only screen and (max-width: 810px) {
    .rsis_slider_content_box_1 {
        margin-inline: 40px;
        margin-bottom: 60px;
        width: calc(100% - 40px - 40px);
    }
    .rsis_slider_content_box_1_title {
        font-weight: 600;
        font-size: 4.37vw;
        line-height: 5vw;
    }
    .rsis_slider_content_box_1_content {
        font-weight: 300;
        font-size: 4.1vw;
        line-height: 4.5vw;
    }
}
@media only screen and (max-width: 350px) {
    .rsis_slider_content_box_1 {
        margin-inline: 20px;
    }
}
/* slider type 1 */

/* slider type 2 */
.rsis_slider_content_box_2 {
    width: 100%;
    height: 100%;
}
.rsis_slider_content_box_2 > html{
    display: none;
}
/* slider type 2 */

/* slider type 3*/
.rsis_slider_content_box_3 {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 24px;
    padding-block: 53px;
    height: calc(100% - 53px - 53px);
}
.rsis_slider_content_box_3_iframe {
    width: auto;
    /* width: 45vw; */
    height: calc(100% - 40px);
    aspect-ratio: 640/360;
}
.rsis_slider_content_box_3_content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 29vw;
    overflow: hidden;
    cursor: pointer;
    row-gap: 8px;
}
.rsis_slider_content_box_3_title {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 800;
    font-size: 1.38vw;/*font-size: 20px;*/
    line-height: 1.94vw;/*line-height: 28px;*/
    letter-spacing: 0.01em;
    color: #FFFFFF;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.rsis_slider_content_box_3_subtitle {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 600;
    font-size: 1.27vw;/*font-size: 20px;*/
    line-height: 1.94vw;/*line-height: 28px;*/
    letter-spacing: 0.01em;
    color: #FFFFFF;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.rsis_slider_content_box_3_date {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 400;
    font-size: 1.11vw;/*font-size: 16px;*/
    line-height: 1.67vw;/*line-height: 24px;*/
    letter-spacing: 0.5px;
    color: #FFFFFF;
}
.rsis_slider_content_box_3_descr {
    width: 100%;
    text-align: left;
    font-family: Lato;
    font-style: normal;
    font-weight: 300;
    font-size: 1.21vw;/*font-size: 16px;*/
    line-height: 1.67vw;/*line-height: 24px;*/
    letter-spacing: 0.5px;
    color: #FFFFFF;

    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    /*-webkit-line-clamp: 4;*/
    -webkit-box-orient: vertical;
}
.rsis_slider_content_box_3_descr > * {
    margin: 0px;
}
.rsis_slider_content_box_3_read {
    width: 100%;
    display: flex;
    align-items: center;
    column-gap: 8px;
    margin-top: 14px;

    font-family: Lato;
    font-style: normal;
    font-weight: 600;
    font-size: 1.11vw;/*font-size: 16px;*/
    line-height: 1.8vw;/*line-height: 26px;*/
    letter-spacing: 0.5px;
    color: #ffffff !important;
}
.rsis_slider_content_box_3_content:hover .rsis_slider_content_box_3_read{
    /*color: rgba(255,255,255,.6) !important;*/
    color: rgba(255,255,255,.6) !important;
}
.rsis_slider_content_box_3_read > span {
    /*text-shadow: 0px 1px 4px rgb(21 19 19);*/
    text-shadow: 0px 4px 4px  #00000040;
}
@media only screen and (max-width: 1150px) {
    .rsis_slider_content_box_3_title {
        font-size: 16px;
        line-height: 22px;
    }
    .rsis_slider_content_box_3_subtitle {
        font-size: 16px;
        line-height: 22px;
    }
    .rsis_slider_content_box_3_date {
        font-size: 13px;
        line-height: 19px;
    }
    .rsis_slider_content_box_3_descr {
        font-size: 13px;
        line-height: 19px;
    }
    .rsis_slider_content_box_3_read {
        font-size: 13px;
        line-height: 21px;
    }
}
@media only screen and (max-width: 810px) {
    .rsis_slider_content_box_3 {
        display: flex;
        flex-direction: column;
        row-gap: 16px;
        padding-block: 5px 30px;
        padding-inline: 40px;
        height: calc(100% - 5px - 30px);
        /*height: calc(100% - 27px - 40px);*/
    }
    .rsis_slider_content_box_3_iframe {
        width: 100%;
        height: auto;
        max-height: 45vw;
    }
    .rsis_slider_content_box_3_content {
        width: 100%;
        row-gap: 8px;
    }
    .rsis_slider_content_box_3_title {
        font-size: 4vw;/*font-size: 20px;*/
        line-height: 5vw;/*line-height: 28px;*/
    }
    .rsis_slider_content_box_3_subtitle {
        font-size: 4vw;/*font-size: 20px;*/
        line-height: 5vw;/*line-height: 28px;*/
    }
    .rsis_slider_content_box_3_date {
        font-size: 3.5vw;/*font-size: 16px;*/
        line-height: 4.5vw;/*line-height: 24px;*/
    }
    .rsis_slider_content_box_3_descr {
        display: none;
        font-size: 4.26vw;/*font-size: 16px;*/
        line-height: 6.4vw;/*line-height: 24px;*/
    }
    .rsis_slider_content_box_3_read {
        margin-top: 8px;
        font-size: 3.5vw;/*font-size: 16px;*/
        line-height: 4vw;/*line-height: 26px;*/
    }
}
@media only screen and (max-width: 400px) {
    .rsis_slider_content_box_3 {
        row-gap: 12px;
    }
    /*.rsis_slider_content_box_3_title {
        font-size: 3vw;
        line-height: 4.5vw;
    }
    .rsis_slider_content_box_3_subtitle {
        font-size: 3vw;
        line-height: 4.5vw;
    }
    .rsis_slider_content_box_3_date {
        font-size: 3vw;
        line-height: 4vw;
    }
    .rsis_slider_content_box_3_read {
        margin-top: 4px;
        font-size: 3vw;
        line-height: 3vw;
    }*/
}
/* slider type 3*/


.arrow_panel.rsis_slider {
    position: relative;
}
#slide-swiper-prev {
    margin-left: 27px;
    margin-top: -15%;
    padding: 0px;
    z-index: 99;
    outline: none;
    background-color: transparent !important;
}
#slide-swiper-next {
    margin-right: 27px;
    margin-top: -15%;
    padding: 0px;
    z-index: 99;
    outline: none;
    background-color: transparent !important;
}
@media only screen and (max-width: 1100px) and (min-width: 900px) { 
    #slide-swiper-prev,
    #slide-swiper-next {
        margin-top: -18%;
    }
}
@media only screen and (max-width: 900px) and (min-width: 810px) { 
    #slide-swiper-prev,
    #slide-swiper-next {
        margin-top: -20%;
    }
}
@media only screen and (max-width: 810px) { 
    .arrow_panel.rsis_slider {
        display: none;
    }
    #slide-swiper-prev {
        margin-left: 16px;
    }
    #slide-swiper-next {
        margin-right: 16px;
    }
}
#slide-swiper-pagination {
    display: flex;
    position: sticky;
    z-index: 99;
    bottom: 40px;
    width: 100%;
    margin-top: -35px;
    justify-content: center;
}
#slide-swiper-pagination > span{
    margin: 0px 6px;
    box-shadow: 0px 3px 5px 0px #00000054;
}
.swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: #b01e38 !important;
}
.swiper-pagination-bullet {
    background: #D0D1D1 !important;
    opacity: 1 !important;
    width: 10px !important;
    height: 10px !important;
}
.dot-container, .swiper-pagination-bullet {
    margin-bottom: 12px;
}

@media only screen and (max-width: 810px) {
    .arrow_panel.rsis_slider {
        /*display: none;*/
    }
}